Subject: Re: bug#2544: 23.0.60; Could etags please try find a local tag first?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Jul 2021 14:54:39 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 20 Jul 2021 02:00:31 +0300
> 
> On 19.07.2021 18:56, Eli Zaretskii wrote:
> > As for the original request: I guess we could satisfy that by having
> > Xref sort the matches so that those in the current buffer come first
> > in the display we show in the*XREF*  buffer?  Dmitry, would it make
> > sense to add such an option, and if so, would it be hard to do so?  In
> > xref--alistify, perhaps, or in xref--analyze?
> 
> It would probably better work as an etags option (residing next to 
> etags-xref-find-definitions-tag-order): Xref, in general, cannot know in 
> advance whether a given tags resides in the current buffer, and 
> following all tags is relatively costly.

But then this feature will be reserved only for the etags backend, no?

Maybe there should be a backend-specific sorting method or something?

> I was thinking to suggest having that behavior on by default (and maybe 
> avoid adding a new variable altogether), but it seems to conflict with 
> the intention behind etags-xref-find-definitions-tag-order, so probably not.

Right.